[gdal-dev] gdal and python problems

Frank Warmerdam warmerdam at pobox.com
Tue Oct 14 11:16:08 EDT 2008

Andreas Neumann wrote:
> Hi,
> I was compiling gdal with python support from svn-trunk and ran into the
> same problem as described at
> http://www.nabble.com/Problem-with-gdal_polygonize.py-td19839558.html
> When I start a python script I get the following error message:
> ------------------
> gdal_merge.py -o orthofoto_2008.tif -init 255,255,255 -v -co
> "COMPRESS=PACKBITS" -of GTiff OF_10cm/69*.tif
> Traceback (most recent call last):
>   File "/usr/local/bin/gdal_merge.py", line 31, in <module>
>     import gdal
>   File "/usr/local/lib/python2.5/site-packages/gdal.py", line 2, in <module>
>     from osgeo.gdal import deprecation_warn
>   File "/usr/local/lib/python2.5/site-packages/osgeo/gdal.py", line 7, in
> <module>
>     import _gdal
> ImportError: /usr/local/lib/python2.5/site-packages/osgeo/_gdal.so:
> undefined symbol: GDALPolygonize
> ------------------
> My system is Ubuntu 8.10 (Intrepid Ibex). I used the following configure
> options:


My guess would be that the GDAL Python bindings are ending up running
against an older libgdal.so.  Is it possible that you have a
/usr/lib/libgdal.so that is 1.5.x and getting picked up instead of

Best regards,
I set the clouds in motion - turn up   | Frank Warmerdam, warmerdam at pobox.com
light and sound - activate the windows | http://pobox.com/~warmerdam
and watch the world go round - Rush    | Geospatial Programmer for Rent

More information about the gdal-dev mailing list